org.python.modules._weakref

## Interface ReferenceBackendFactory

-     public interface ReferenceBackendFactory

  Reserved for use by JyNI.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReferenceBackend` | `makeBackend(GlobalRef caller, PyObject referent)`
    `void` | `notifyClear(ReferenceBackend ref, GlobalRef caller)`
    `void` | `updateBackend(ReferenceBackend ref, GlobalRef caller)`

- - ### Method Detail

    - #### makeBackend

          ReferenceBackend makeBackend(GlobalRef caller,
                                       PyObject referent)

    - #### notifyClear

          void notifyClear(ReferenceBackend ref,
                           GlobalRef caller)

    - #### updateBackend

          void updateBackend(ReferenceBackend ref,
                             GlobalRef caller)

Jython homepage